algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Rng.Zero

# Documentation

newtype ZeroRng r Source

Constructors

ZeroRng |

Fields

runZeroRng :: r

Instances

Group r => RightModule Integer (ZeroRng r) |
Monoidal r => RightModule Natural (ZeroRng r) |
Group r => LeftModule Integer (ZeroRng r) |
Monoidal r => LeftModule Natural (ZeroRng r) |
Eq r => Eq (ZeroRng r) |
Ord r => Ord (ZeroRng r) |
Read r => Read (ZeroRng r) |
Show r => Show (ZeroRng r) |
Idempotent r => Idempotent (ZeroRng r) |
Abelian r => Abelian (ZeroRng r) |
Additive r => Additive (ZeroRng r) |
Monoidal r => Monoidal (ZeroRng r) |
(Monoidal r, Abelian r) => Semiring (ZeroRng r) |
Monoidal r => Multiplicative (ZeroRng r) |
Group r => Group (ZeroRng r) |
(Group r, Abelian r) => Rng (ZeroRng r) |
Monoidal r => Commutative (ZeroRng r) |